I have a problem with the opgrade of ZCS 6.0.8 on a debian etch machine.

Operations logged to /tmp/zmsetup.11102010-100658.log
Upgrading from  to 6.0.8_GA_2661
Stopping zimbra services...done.
Verifying /opt/zimbra/conf/my.cnf
Starting mysql...done.
I can't upgrade version

I note that zimbra can't determine the version of the current zimbra version.

Also when i try to get the status I see the following info

Unable to determine enabled services from ldap.
Unable to determine enabled services. Cache is out of date or doesn't exist.
The users are authenticated in Active Directory, so I hope the solution must be in that direction, but I can't be sure.

I tried many solutions posted in the forums but no one works for me.